/*
 * Copyright (C) 2006  Chris Rose
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

package com.aimedia.azjabber.config;

public interface IAzJabberMessageKeys {

    final String MSG_PREFIX                     = "azjabber.";

    final String LOG_PREFIX                     = MSG_PREFIX + "logging.";

    final String EVENT_MSG_PREFIX               = MSG_PREFIX + "events.";

    final String EVENT_MSG_SUFFIX               = ".message";

    final String LOGGING_DETAILED_NAME          = MSG_PREFIX + "logging.detailed";

    final String CLIENT_PASSWORD_NAME           = MSG_PREFIX + "client.password";

    final String CLIENT_RESOURCE_NAME           = MSG_PREFIX + "client.resource";

    final String CLIENT_USERNAME_NAME           = MSG_PREFIX + "client.username";

    final String SERVICENAME_NAME               = MSG_PREFIX + "service.name";

    final String SERVICEPORT_NAME               = MSG_PREFIX + "service.port";

    final String SERVICEHOST_NAME               = MSG_PREFIX + "service.host";

    final String PLUGIN_NAME                    = MSG_PREFIX + "name";

    final String CLIENT_CONFIG                  = MSG_PREFIX + "client.section";

    final String SERVICE_CONFIG                 = MSG_PREFIX + "service.section";

    final String EVENT_CONFIG                   = MSG_PREFIX + "events.section";

    /** ************************************************************************** */

    final String EVENTS_TORRENT_COMPLETES_NAME  = EVENT_MSG_PREFIX + "torrent_completes";

    final String EVENTS_TORRENT_REMOVED_NAME    = EVENT_MSG_PREFIX + "torrent_removed";

    final String EVENTS_TORRENT_START_NAME      = EVENT_MSG_PREFIX + "torrent_start";

    final String EVENTS_TORRENT_ADDED_NAME      = EVENT_MSG_PREFIX + "torrent_added";

    final String TORRENT_REMOVED                = EVENT_MSG_PREFIX + "torrent_removed" + EVENT_MSG_SUFFIX;

    final String TORRENT_ADDED                  = EVENT_MSG_PREFIX + "torrent_added" + EVENT_MSG_SUFFIX;

    /** ************************************************************************** */

    final String LOG_CONNECTED                  = LOG_PREFIX + "connected";

    final String LOG_AUTHENTICATED              = LOG_PREFIX + "authenticated";

    final String LOG_NOT_HANDLED_PRESENCE       = LOG_PREFIX + "unhandled_presence";

    final String LOG_DISCONNECTING              = LOG_PREFIX + "disconnecting_existing";

    final String LOG_HANDLE_EVENTS              = LOG_PREFIX + "handle_events";

    final String LOG_PLUGIN_CONNECT_FAILED      = LOG_PREFIX + "plugin_connect_failed";

    final String LOG_DISCARD_STATE_NOTIFICATION = LOG_PREFIX + "discard_state_notification";

    final String LOG_SHUTDOWN                   = LOG_PREFIX + "shutdown";

    final String LOG_STARUPT                    = LOG_PREFIX + "startup";

    final String LOG_NOT_CONFIGURED             = LOG_PREFIX + "unconfigured";

    final String LOG_RECEIVED_PRESENCE          = LOG_PREFIX + "got_presence";

    final String LOG_SENT_PACKET                = LOG_PREFIX + "sent_packet";

    final String LOG_PRESENCE_ERROR             = LOG_PREFIX + "presence_error";

    final String LOG_INVALID_STATE_TRANSITION   = LOG_PREFIX + "invalid_state_transition";

    final String LOG_FAILED_TO_SEND_MESSAGE     = LOG_PREFIX + "failed_to_send_message";

    final String LOG_CONNECTION_FAILED          = LOG_PREFIX + "connection_failed";

    final String LOG_MESSAGES_LIKELY_NOT_SENT   = LOG_PREFIX + "message_likely_not_sent";

}
