/*
 * Copyright (C) 2006  Chris Rose
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

package com.aimedia.azjabber.config;

import org.gudy.azureus2.plugins.ui.config.BooleanParameter;
import org.gudy.azureus2.plugins.ui.config.Parameter;
import org.gudy.azureus2.plugins.ui.config.ParameterListener;

import com.aimedia.azjabber.NotificationManager;
import com.aimedia.azjabber.StateTransition;

class NotificationDispatcher implements ParameterListener {

    private StateTransition transition;

    public NotificationDispatcher (StateTransition transition) {
        this.transition = transition;
    }

    public void parameterChanged (Parameter param) {
        if (param instanceof BooleanParameter) {
            NotificationManager.instance ().handlingChanged (transition, ((BooleanParameter) param).getValue ());
        }
    }

}